#!groovy
@Library('dotnetutils') _

pipeline {
  agent any
  options {
     buildDiscarder(logRotator(artifactDaysToKeepStr: '10', artifactNumToKeepStr: '5', daysToKeepStr: '10', numToKeepStr: '5')) 
  }

  stages {
    stage('Build') {
      steps {
        // workaround this test references SR but SR might not have been built yet!
        sh '''
        dotnet sln remove test/Estat.Sri.Mapping.MappingStore.Tests/Estat.Sri.Mapping.MappingStore.Tests.csproj
        '''
        dotNetBuild target: 'Pack', configuration:'Release'
        // revert workaround
        sh '''
        git stash -- *.sln
        '''
        
      } 
    }
    stage('Archive') {
      steps {
        dotNetArchive()
      }
    }
    stage('Results') {
      when {
        not { branch 'SDMXRI-*' }
      }
      steps {
        dotNetResult()
      }
    }
  }
}
